Transaction Initiation
Selfie ID Init - Provisioning
The SelfieID-Based Authentication Provisioning starts when a user initiates a request to set up Selfie ID credentials. The server then provides a session ID, bearer token, and a follow-up URL. To finalize the authentication setup, the user must send their selfie image to the follow-up URL specified by the server.
API Description
Method : GET
URL : https://{environment-url}/realms/{partner-id}/protocol/api/init
Parameter
client_id*
String
A unique client id that is shared for each partner.
client_secret*
String
A unique key that is generated for each parter and will be provided by VIDA
type*
String
Type of the authentication FaceID
{
"uri": "https://{environment-url}/realms/{partner-id}/protocol/api/authenticate",
"bearerToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdWIiOiIzZTU4Yjc4ZC1mMDE2LTQwMWMtYTI1Yi0zMzQ3Mzk2MWRlYzgiLCJleGVjdXRpb24iOiJhYmVjYWVjZS03ZmZmLTQ0Y2QtYTQ5Mi1hYTQ3Y2ZhMDA2N2UiLCJ0YWJfaWQiOiJkb0FmdE5ibzItOCIsIm5iZiI6MTcwMzU3OTg5Mywic2Vzc2lvbl9jb2RlIjoiRFZ1cFdUeENINlJKTW03UlRJdnN6NU5Nc1c2Rlh1SzRrYldULXVWdVVYbyIsInNlc3Npb25faWRlbnRpZmllciI6ImRvQWZ0TmJvMi04IiwiZXhwIjoxNzAzNTgwMTkzLCJpYXQiOjE3MDM1Nzk4OTMsImF1dGhfc2Vzc2lvbl9pZCI6IjNlNThiNzhkLWYwMTYtNDAxYy1hMjViLTMzNDczOTYxZGVjOCIsImp0aSI6ImMxZjgxMmJmLWZiYzMtNGRiMy04NDBjLWZhZDU3NDI2ZDRjYiJ9.iztTiqwC7T0TlDtHNmzfYfwwoEb7g5_yNCkXuhvrDOw",
"authType": "FaceID",
"sessionIdentifier": "doAftNbo2-8"
}curl --location --request GET 'https://{environment-url}/realms/{partner-id}/protocol/api/init?type=FaceID&client_id=api&client_secret=enESfot4PPpSWxTa74vR8D9nrW4UTtT3'import requests
url = "https://{environment-url}/realms/{partner-id}/protocol/api/init?type=FaceMatch&client_id=api&client_secret=enESfot4PPpSWxTa74vR8D9nrW4UTtT3"
payload={}
headers = {}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)var axios = require('axios');
var config = {
method: 'get',
url: 'https://{environment-url}/realms/{partner-id}/protocol/api/init?type=FaceMatch&client_id=api&client_secret=enESfot4PPpSWxTa74vR8D9nrW4UTtT3',
headers: { }
};
axios(config)
.then(function (response) {
console.log(JSON.stringify(response.data));
})
.catch(function (error) {
console.log(error);
});Success Response
The follow up request can be initiated with the URI and the bearerToken along with the required parameters using the Transaction Completion API.
Response Schema
Error Response
Response Schema
Error Codes
If a request to our API is successful, it will return an HTTP status code 200 (OK)
For a complete list of error codes and their meanings, refer to the Error Scenarios section.
Last updated
